org.apache.cassandra.cli

## Class CliSessionState

- java.lang.Object
- - org.apache.cassandra.cli.CliSessionState

    public class CliSessionState
    extends java.lang.Object

Used to hold the state for the CLI.

### Field Summary

Fields
`boolean` `batch`
`boolean` `debug`
`EncryptionOptions` `encOptions`
`java.io.PrintStream` `err`
`java.lang.String` `filename`
`java.lang.String` `hostName`
`java.io.InputStream` `in`
`java.lang.String` `jmxPassword`
`int` `jmxPort`
`java.lang.String` `jmxUsername`
`java.lang.String` `keyspace`
`java.io.PrintStream` `out`
`java.lang.String` `password`
`int` `thriftPort`
`ITransportFactory` `transportFactory`
`java.lang.String` `username`
`boolean` `verbose`

### Constructor Summary

Constructors
Constructor and Description
`CliSessionState()`

### Method Summary

Methods
`NodeProbe` `getNodeProbe()`
`boolean` `inFileMode()`
`void` `setErr(java.io.PrintStream newErr)`
`void` `setOut(java.io.PrintStream newOut)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hostName

    public java.lang.String hostName

#### thriftPort

    public int thriftPort

#### debug

    public boolean debug

#### username

    public java.lang.String username

#### password

    public java.lang.String password

#### keyspace

    public java.lang.String keyspace

#### batch

    public boolean batch

#### filename

    public java.lang.String filename

#### jmxPort

    public int jmxPort

#### jmxUsername

    public java.lang.String jmxUsername

#### jmxPassword

    public java.lang.String jmxPassword

#### verbose

    public boolean verbose

#### transportFactory

    public ITransportFactory transportFactory

#### encOptions

    public EncryptionOptions encOptions

#### in

    public java.io.InputStream in

#### out

    public java.io.PrintStream out

#### err

    public java.io.PrintStream err

### Constructor Detail

#### CliSessionState

    public CliSessionState()

### Method Detail

#### setOut

    public void setOut(java.io.PrintStream newOut)

#### setErr

    public void setErr(java.io.PrintStream newErr)

#### inFileMode

    public boolean inFileMode()

#### getNodeProbe

    public NodeProbe getNodeProbe()